Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Interface Type

All Known Subinterfaces:
  Base, Relation

public interface Type

Definition of data elemnt types (roles).

Field Summary
`final static String` | `CONSTANT`
`final static String` | `DATABASE_INFO`
`final static String` | `DIAGRAM_INFO`
`final static String` | `MATH`
`final static String` | `MATH_EQUATION`
`final static String` | `MATH_EVENT`
`final static String` | `MATH_FUNCTION`
`final static String` | `MATH_STATE`
`final static String` | `MATH_TRANSITION`
`final static String` | `TYPE_CELL`
`final static String` | `TYPE_CHEMICAL_ROLE`
`final static String` | `TYPE_COMPARTMENT`
`final static String` | `TYPE_CONCEPT`
`final static String` | `TYPE_DIAGRAM_REFERENCE`
`final static String` | `TYPE_FUNCTION`
`final static String` | `TYPE_GENE`
`final static String` | `TYPE_MOLECULE`
`final static String` | `TYPE_NOTE`
`final static String` | `TYPE_NOTE_LINK`
`final static String` | `TYPE_PROCESS`
`final static String` | `TYPE_PROTEIN`
`final static String` | `TYPE_REACTION`
`final static String` | `TYPE_RELATION`
`final static String` | `TYPE_RNA`
`final static String` | `TYPE_SEMANTIC_RELATION`
`final static String` | `TYPE_STATE`
`final static String` | `TYPE_SUBSTANCE`
`final static String` | `TYPE_UNKNOWN`

Field Detail

### CONSTANT

    public final static String CONSTANT

### DATABASE_INFO

    public final static String DATABASE_INFO

### DIAGRAM_INFO

    public final static String DIAGRAM_INFO

### MATH

    public final static String MATH

### MATH_EQUATION

    public final static String MATH_EQUATION

### MATH_EVENT

    public final static String MATH_EVENT

### MATH_FUNCTION

    public final static String MATH_FUNCTION

### MATH_STATE

    public final static String MATH_STATE

### MATH_TRANSITION

    public final static String MATH_TRANSITION

### TYPE_CELL

    public final static String TYPE_CELL

### TYPE_CHEMICAL_ROLE

    public final static String TYPE_CHEMICAL_ROLE

### TYPE_COMPARTMENT

    public final static String TYPE_COMPARTMENT

### TYPE_CONCEPT

    public final static String TYPE_CONCEPT

### TYPE_DIAGRAM_REFERENCE

    public final static String TYPE_DIAGRAM_REFERENCE

### TYPE_FUNCTION

    public final static String TYPE_FUNCTION

### TYPE_GENE

    public final static String TYPE_GENE

### TYPE_MOLECULE

    public final static String TYPE_MOLECULE

### TYPE_NOTE

    public final static String TYPE_NOTE

### TYPE_NOTE_LINK

    public final static String TYPE_NOTE_LINK

### TYPE_PROCESS

    public final static String TYPE_PROCESS

### TYPE_PROTEIN

    public final static String TYPE_PROTEIN

### TYPE_REACTION

    public final static String TYPE_REACTION

### TYPE_RELATION

    public final static String TYPE_RELATION

### TYPE_RNA

    public final static String TYPE_RNA

### TYPE_SEMANTIC_RELATION

    public final static String TYPE_SEMANTIC_RELATION

### TYPE_STATE

    public final static String TYPE_STATE

### TYPE_SUBSTANCE

    public final static String TYPE_SUBSTANCE

### TYPE_UNKNOWN

    public final static String TYPE_UNKNOWN

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM